Skip to content

Applies the revision update command with current authority and versions.

PUT
/api/workspace/workflow/configuration/workflow-definitions/{definitionId}/revisions/{revisionId}
curl --request PUT \
--url https://example.com/api/workspace/workflow/configuration/workflow-definitions/example/revisions/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Description": "example", "ExpectedRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example" }'
definitionId
required
string
revisionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

object
Description
string
nullable
ExpectedRowVersion
string format: uuid
OperationId
string
nullable
Examplegenerated
{
"Description": "example",
"ExpectedRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"OperationId": "example"
}

OK

Media typeapplication/json
object
Data
object
Revision
object
WorkflowRevisionId
string
nullable
WorkflowDefinitionId
string
nullable
Number
integer format: int32
Description
string
nullable
Status
integer format: int32
Allowed values: 0 1 2
CopiedFromRevisionId
string
nullable
CopiedFromRevisionNumber
integer format: int32
nullable
CopySourceExists
boolean
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
nullable
CreatedByUserId
string
nullable
ModifiedByUserId
string
nullable
PublishedAtUtc
string format: date-time
nullable
PublishedByUserId
string
nullable
DeprecatedAtUtc
string format: date-time
nullable
DeprecatedByUserId
string
nullable
RowVersion
string format: uuid
Actions
object
CanRead
boolean
CanUpdateDescription
boolean
CanCopy
boolean
CanPublish
boolean
CanDelete
boolean
CanEditContent
boolean
DefinitionRowVersion
string format: uuid
Replayed
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Revision": {
"Status": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}